linux: 3.5.0-41.64 -proposed tracker

Bug #1223451 reported by Brad Figg on 2013-09-10
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Brendan Donegan
Prepare-package
Medium
Tim Gardner
Prepare-package-lbm
Medium
Brad Figg
Prepare-package-meta
Medium
Brad Figg
Prepare-package-signed
Medium
Brad Figg
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Quantal
Medium
Unassigned

Bug Description

This bug is for tracking the 3.5.0-41.64 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 10. September 2013 16:38 UTC
kernel-stable-Prepare-package-end:Wednesday, 11. September 2013 21:11 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 11. September 2013 21:11 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 12. September 2013 03:02 UTC
kernel-stable-Verification-testing-start:Thursday, 12. September 2013 04:03 UTC
kernel-stable-Verification-testing-end:Monday, 23. September 2013 15:02 UTC
kernel-stable-Certification-testing-start:Monday, 23. September 2013 15:02 UTC
kernel-stable-Security-signoff-start:Monday, 23. September 2013 15:02 UTC
kernel-stable-Regression-testing-start:Monday, 23. September 2013 15:02 UTC
kernel-stable-Security-signoff-end:Wednesday, 25. September 2013 00:01 UTC
kernel-stable-Regression-testing-end:Wednesday, 25. September 2013 15:02 UTC
kernel-stable-Promote-to-updates-start:Thursday, 26. September 2013 18:01 UTC
kernel-stable-Certification-testing-end:Thursday, 26. September 2013 18:01 UTC
kernel-stable-Promote-to-updates-end:Friday, 27. September 2013 10:03 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 27. September 2013 12:03 UTC

Brad Figg (brad-figg) on 2013-09-10
tags: added: kernel-release-tracking-bug
tags: added: quantal
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Quantal):
importance: Undecided → Medium
Brad Figg (brad-figg) on 2013-09-11
summary: - linux: 3.5.0-41.63 -proposed tracker
+ linux: 3.5.0-41.64 -proposed tracker
description: updated
Brad Figg (brad-figg) on 2013-09-11
description: updated
Brad Figg (brad-figg) on 2013-09-11
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1224116
linux-armadaxp - bug 1224117
linux-lowlatency - bug 1224119

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-quantal (precise) - bug 1224120

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and linux-signed built.

Brad Figg (brad-figg) on 2013-09-12
description: updated
Brad Figg (brad-figg) on 2013-09-12
description: updated
Brad Figg (brad-figg) on 2013-09-23
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-09-25
description: updated

Hardware Certification have begun testing this -proposed kernel.

Paul Larson (pwlars) on 2013-09-25
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-09-25
description: updated

Hardware Certification have completed testing this -proposed kernel. No regressions were observed and results are available here: http://people.canonical.com/~hwcert/sru-testing/precise/3.5.0-41.64~precise1/precise-3.5-proposed.html

tags: added: certification-testing-passed

The certification-testing task was set to Fix Released but neither the certification-testing-passed or certification-testing-failed tag was applied

Sorry, the above link is incorrect - it is for the Precise 3.5 kernel. The correct link is: http://people.canonical.com/~hwcert/sru-testing/quantal/3.5.0-41.64/quantal-proposed.html

Brad Figg (brad-figg) on 2013-09-26
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (5.7 KiB)

This bug was fixed in the package linux - 3.5.0-41.64

---------------
linux (3.5.0-41.64) quantal; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1223451

  [ Upstream Kernel Changes ]

  * kernel-doc: bugfix - multi-line macros
    - LP: #1223920
  * Revert "zram: use zram->lock to protect zram_free_page() in swap free
    notify path"
    - LP: #1215513
  * x86 thermal: Delete power-limit-notification console messages
    - LP: #1215748
  * x86 thermal: Disable power limit notification interrupt by default
    - LP: #1215748
  * ARM: 7810/1: perf: Fix array out of bounds access in
    armpmu_map_hw_event()
    - LP: #1216442
    - CVE-2013-4254
  * ARM: 7809/1: perf: fix event validation for software group leaders
    - LP: #1216442
    - CVE-2013-4254
  * veth: reduce stat overhead
    - LP: #1201869
  * veth: extend device features
    - LP: #1201869
  * veth: avoid a NULL deref in veth_stats_one
    - LP: #1201869
  * veth: fix a NULL deref in netif_carrier_off
    - LP: #1201869
  * veth: fix NULL dereference in veth_dellink()
    - LP: #1201869
  * Bluetooth: Add support for Atheros [0cf3:3121]
    - LP: #1202477
  * efivars: explicitly calculate length of VariableName
    - LP: #1217745
  * xfs: fix _xfs_buf_find oops on blocks beyond the filesystem end
    - LP: #1151527
    - CVE-2013-1819
  * drm/i915/lvds: ditch ->prepare special case
    - LP: #1221791
  * serial: mxs: fix buffer overflow
    - LP: #1221791
  * fs/proc/task_mmu.c: fix buffer overflow in add_page_map()
    - LP: #1221791
  * af_key: initialize satype in key_notify_policy_flush()
    - LP: #1221791
  * vm: add no-mmu vm_iomap_memory() stub
    - LP: #1221791
  * iwl4965: set power mode early
    - LP: #1221791
  * iwl4965: reset firmware after rfkill off
    - LP: #1221791
  * ASoC: cs42l52: Reorder Min/Max and update to SX_TLV for Beep Volume
    - LP: #1221791
  * can: pcan_usb: fix wrong memcpy() bytes length
    - LP: #1221791
  * ALSA: 6fire: make buffers DMA-able (pcm)
    - LP: #1221791
  * ALSA: 6fire: make buffers DMA-able (midi)
    - LP: #1221791
  * jbd2: Fix use after free after error in jbd2_journal_dirty_metadata()
    - LP: #1221791
  * USB-Serial: Fix error handling of usb_wwan
    - LP: #1221791
  * USB: mos7840: fix big-endian probe
    - LP: #1221791
  * USB: adutux: fix big-endian device-type reporting
    - LP: #1221791
  * USB: ti_usb_3410_5052: fix big-endian firmware handling
    - LP: #1221791
  * m68k/atari: ARAnyM - Fix NatFeat module support
    - LP: #1221791
  * m68k: Truncate base in do_div()
    - LP: #1221791
  * usb: add two quirky touchscreen
    - LP: #1221791
  * USB: mos7720: fix broken control requests
    - LP: #1221791
  * USB: keyspan: fix null-deref at disconnect and release
    - LP: #1221791
  * MIPS: Expose missing pci_io{map,unmap} declarations
    - LP: #1221791
  * microblaze: Update microblaze defconfigs
    - LP: #1221791
  * sound: Fix make allmodconfig on MIPS
    - LP: #1221791
  * sound: Fix make allmodconfig on MIPS correctly
    - LP: #1221791
  * alpha: makefile: don't enforce small data model for kernel builds
    - LP: #1221791
  * MIPS: Rewrite pfn_valid to work in modules, too.
    - L...

Read more...

Changed in linux (Ubuntu Quantal):
status: New → Fix Released
Brad Figg (brad-figg) on 2013-09-27
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers